Spaces method and path for this operation:
get /s/{space_id}/api/links/{id}
Refer to Spaces for more information.
Returns the complete state of a links library item by ID.
GET
/api/links/{id}
Get a links library item - cURL
curl -X GET "${KIBANA_URL}/api/links/0ee9d0ea-06a0-4a30-bf4e-be4d3ca85bf3" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn:/api/links/0ee9d0ea-06a0-4a30-bf4e-be4d3ca85bf3
Response examples (200)
The full links library item state including `links`, `layout`, `title`, `description`, and metadata.
{
"data": {
"description": "A collection of important links",
"layout": "horizontal",
"links": [
{
"destination": "dashboard-abc-123",
"label": "Overview",
"options": {
"open_in_new_tab": false,
"use_filters": true,
"use_time_range": true
},
"type": "dashboardLink"
},
{
"destination": "https://www.elastic.co/docs",
"label": "Elastic Documentation",
"options": {
"encode_url": true,
"open_in_new_tab": true
},
"type": "externalLink"
}
],
"title": "Important Resources"
},
"id": "0ee9d0ea-06a0-4a30-bf4e-be4d3ca85bf3",
"meta": {
"created_at": "2026-04-13T10:00:00.000Z",
"managed": false,
"updated_at": "2026-04-13T10:00:00.000Z",
"version": "WzU5LDFd"
}
}